Bug 147009 - Mk/bsd.apache.mk: [patch] default to www/apache22
Summary: Mk/bsd.apache.mk: [patch] default to www/apache22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-26 06:07 UTC by Philip M. Gollucci
Modified: 2011-08-20 18:34 UTC (History)
1 user (show)

See Also:


Attachments
apache22.diff (673 bytes, patch)
2010-05-26 06:07 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2010-05-26 06:07:50 UTC
Default 'APACHE_PORT' to www/apache22!

Roughly 308 ports depend on apache in the default builds
Roughly 1276 ports optionally depend on apache usually grandfather deps
Roughly 142 of them are mod_ ports

  76 USE_APACHE= 13
  70 USE_APACHE= 20+
  47 USE_APACHE= 13+
  11 USE_APACHE= 22+
   9 USE_APACHE= 20
   7 USE_APACHE= 22

$ ip INDEX-9 lrdep apache-[^a] M |xargs grep USE_APACHE= |sed -e 's,.*:,,' -e 's,\?,,' -e 's,=,= ,' -e 's,\.,,' |perl -pi -e 's,\s+, ,' |sort |uniq -c |sort -nr
Comment 1 Edwin Groothuis freebsd_committer 2010-05-26 06:08:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

bsd.apache.mk is apache territory (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-05-26 06:13:46 UTC
Responsible Changed
From-To: apache->portmgr

-exp run please
Comment 3 Pav Lucistnik freebsd_committer 2010-06-14 13:22:30 UTC
Responsible Changed
From-To: portmgr->pav

Taking for exp on amd64/7-exp
Comment 4 Pav Lucistnik freebsd_committer 2010-06-17 10:44:03 UTC
Responsible Changed
From-To: pav->pgollucci

This patch is ineffective - the default apache version is still 2.0 

I don't see how you can expect to match two lines with grep with single line input
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-24 07:23:16 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-24 07:26:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 7 Philip M. Gollucci freebsd_committer 2010-12-12 04:14:58 UTC
State Changed
From-To: open->suspended

Suspended.
Comment 8 Philip M. Gollucci freebsd_committer 2010-12-14 00:50:28 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to the pool
Comment 9 Olli Hauer freebsd_committer 2011-01-07 21:43:59 UTC
The following patch set apache22 as default if USE_APACHE= [13|20]+ is defined.
If no '+' is used in USE_APACHE then the requested version is used.

I discussed the patch with Philip on freebsd-apache.
http://lists.freebsd.org/pipermail/freebsd-apache/2011-January/002084.html

A copy of the patch is also aviable for download.
http://people.freebsd.org/~ohauer/diffs/PR_147009_ports__Mk__bsd.apache.mk.diff

--- patch_Mk__bsd.apache.mk.txt begins here ---
Index: Mk/bsd.apache.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.apache.mk,v
retrieving revision 1.26
diff -u -r1.26 bsd.apache.mk
--- Mk/bsd.apache.mk	7 Jun 2010 14:38:44 -0000	1.26
+++ Mk/bsd.apache.mk	7 Jan 2011 20:21:58 -0000
@@ -19,12 +19,14 @@
 
 Apache_Pre_Include=		bsd.apache.mk
 
+DEFAULT_APACHE_VERSION=	22
+
 # Print warnings
 _ERROR_MSG=	: Error from bsd.apache.mk.
 APACHE_SUPPORTED_VERSION=	13 20 22
 .if ${USE_APACHE:Mcommon*} != ""
 AP_PORT_IS_SERVER=	YES
-.elif ${USE_APACHE:C/\.//:C/\+//:M[12][320]} != ""
+.elif ${USE_APACHE:C/\.//:C/\+//:S/^13//:S/^20//:S/^22//:S/^24//} == ""
 AP_PORT_IS_MODULE=	YES
 .else
 IGNORE=		${_ERROR_MSG} Illegal use of USE_APACHE
@@ -259,8 +261,12 @@
 .else
 AP_CUR_VERSION=	none
 .   if !defined(APACHE_PORT)
-#Fallback to smallest version...
+#		If we found '13+' or '20+' make apache22 the default
+.		if ${USE_APACHE:C/\.//:S/^13//:S/^20//:C/\+/PLUS/} == "PLUS" 
+APACHE_VERSION=	${DEFAULT_APACHE_VERSION}
+.		else
 APACHE_VERSION=	${AP_VERSION:C/\+//}
+.		endif
 .   endif
 .endif
 
--- patch_Mk__bsd.apache.mk.txt ends here ---
Comment 10 Olli Hauer freebsd_committer 2011-01-07 21:50:51 UTC
State Changed
From-To: suspended->open

-exp run please. 


Comment 11 Olli Hauer freebsd_committer 2011-01-07 21:50:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr
Comment 12 Pav Lucistnik freebsd_committer 2011-01-29 07:58:34 UTC
Responsible Changed
From-To: portmgr->pav

Take for exprun
Comment 13 Pav Lucistnik freebsd_committer 2011-01-31 18:09:41 UTC
Responsible Changed
From-To: pav->ohauer

These failures will need fixing: 

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/ap22-mod_auth_ldap-2.12_1.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/ap22-mod_log_sql-1.101.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/ap22-mod_uid-1.1.0.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/formication-1.0.b1_1.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/fr-facturier-2.1.2_3.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/htdig-3.2.0.b6_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/mapserver-5.6.6.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/mimetex-20080906.1.70_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/openscep-0.4.2_4.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/otrs-3.0.5.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/p5-Apache-AuthCookie-3.15.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/p5-Apache-Gallery-1.0.r3_5,2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/p5-Apache-Peek-1.02.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/p5-Bundle-Slash-2.52_3.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/p5-libapreq-1.34.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/suphp-0.7.1_3.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/websh-3.6.0b5_1.log
Comment 14 dfilter service freebsd_committer 2011-02-01 22:33:52 UTC
ohauer      2011-02-01 22:32:44 UTC

  FreeBSD ports repository

  Modified files:
    www/formication      Makefile distinfo 
  Log:
  - fix pkg-plist if build with apache > 13
  - remove MD5 from distfile
  
  PR:             ports/147009
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +10 -3     ports/www/formication/Makefile
  1.4       +0 -1      ports/www/formication/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter service freebsd_committer 2011-02-13 19:45:39 UTC
ohauer      2011-02-13 19:45:34 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_log_sql2     Makefile distinfo 
  Log:
  - fix pkg-plist
  - cleanup Makefile
  - remove MD5 from distfile
  
  PR:             ports/147009
  
  Revision  Changes    Path
  1.14      +9 -3      ports/www/mod_log_sql2/Makefile
  1.6       +0 -1      ports/www/mod_log_sql2/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 dfilter service freebsd_committer 2011-02-13 22:06:42 UTC
ohauer      2011-02-13 22:06:37 UTC

  FreeBSD ports repository

  Modified files:
    security/openscep    Makefile 
  Log:
   - fix leftover if APACHE_VERSION > 13
  
  PR:             ports/147009
  
  Revision  Changes    Path
  1.19      +8 -2      ports/security/openscep/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 dfilter service freebsd_committer 2011-02-14 01:06:34 UTC
ohauer      2011-02-14 01:06:29 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_auth_ldap    Makefile distinfo 
  Log:
   - adjust USE_APACHE /20+/20/
   - mark port DEPRECATED
   - EXPIRATION_DATE 2011-05-01 (same as apache20)
   - remove MD5 from distfile
   - no version bump, since build against apache22 was at no time possible!
  
  PR:             ports/147009
  
  Revision  Changes    Path
  1.5       +4 -1      ports/www/mod_auth_ldap/Makefile
  1.2       +0 -1      ports/www/mod_auth_ldap/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 18 Eitan Adler freebsd_committer freebsd_triage 2011-03-01 15:15:30 UTC
State Changed
From-To: open->closed

committed - thanks
Comment 19 Eitan Adler freebsd_committer freebsd_triage 2011-03-01 17:47:43 UTC
State Changed
From-To: closed->open

The actual changes to bsd.apache.mk have not yet been committed
Comment 20 dfilter service freebsd_committer 2011-03-02 23:26:57 UTC
ohauer      2011-03-02 23:26:47 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Bundle-Sledge Makefile distinfo 
  Log:
   - fix depends if apache22 is the default
   - remove MD5 from distinfo
   - followup for PR ports/147009 [1]
  
  PR:             ports/155216 ports/147009 [1]
  Submitted by:   ohauer
  
  Revision  Changes    Path
  1.16      +8 -1      ports/www/p5-Bundle-Sledge/Makefile
  1.6       +0 -1      ports/www/p5-Bundle-Sledge/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 dfilter service freebsd_committer 2011-03-02 23:55:17 UTC
ohauer      2011-03-02 23:54:54 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Bundle-Slash  Makefile distinfo 
  Log:
    - fix depends if apache22 is the default
    - remove MD5 from distinfo
    - followup for PR ports/147009 [1]
  
  PR:             ports/147009 [1]
  
  Revision  Changes    Path
  1.23      +6 -5      ports/www/p5-Bundle-Slash/Makefile
  1.6       +0 -1      ports/www/p5-Bundle-Slash/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Olli Hauer freebsd_committer 2011-04-04 01:06:05 UTC
I just finished the rewrite of bsd.apache.mk, with the following improvements.

 * ranges can be specified in form
   -[max] or [min]-[max] (maybe handy if apache24 joins the tree)

 * two new parameters USE_APACHE_BUILD and USE_APACHE_RUN
 * rewrite documentation

 Please do a exp-run with apache13 and apache22 as default.
 apache13 is preferred so we can change bsd.apache.mk before apache22 will
 become the default.

 Until now I found no major issue in tinderbox with a run of ~1200 ports.
 For two ports new PR's are send to fix a seemless integration of the new
 bsd.apache.mk (if apache22 is the default)

 The parameter AP13 is my switch in tinderbox to define the test run.
 Maybe it can be used also on pointyhat during exp-run, else 
 remove/comment the unneeded part in bsd.apache.mk.

 If apache20 is preferred against apache22 the time apache13 is the
 default then swap '13 22 20' => '13 20 22'

+.if !defined(AP13)
+DEFAULT_APACHE_VERSION=		22
+APACHE_SUPPORTED_VERSION=	22 13 20 # preferred version first
+.else
+DEFAULT_APACHE_VERSION=		13
+APACHE_SUPPORTED_VERSION=	13 22 20 # preferred version first
+.endif

Thanks,
olli 

A copy of the patch is also aviable for download.

diff:
http://people.freebsd.org/~ohauer/diffs/Mk/PR_147009_ports__Mk__bsd.apache.mk_2011-04-04_01.diff

complete bsd.apache.mk
http://people.freebsd.org/~ohauer/diffs/Mk/PR_147009_bsd.apache.mk_2011-04-04_01.txt

--- patch_Mk__bsd.apache.mk.txt begins here ---
Index: ports/Mk/bsd.port.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.677
diff -u -r1.677 bsd.port.mk
--- ports/Mk/bsd.port.mk	31 Mar 2011 03:37:14 -0000	1.677
+++ ports/Mk/bsd.port.mk	3 Apr 2011 22:44:30 -0000
@@ -1534,7 +1534,7 @@
 .include "${PORTSDIR}/Mk/bsd.tcl.mk"
 .endif
 
-.if defined(USE_APACHE)
+.if defined(USE_APACHE) || defined(USE_APACHE_BUILD) || defined(USE_APACHE_RUN)
 .include "${PORTSDIR}/Mk/bsd.apache.mk"
 .endif
 
@@ -2129,7 +2129,7 @@
 .include "${PORTSDIR}/Mk/bsd.wx.mk"
 .endif
 
-.if defined(USE_APACHE) || defined(APACHE_COMPAT)
+.if defined(USE_APACHE) || defined(USE_APACHE_BUILD) || defined(USE_APACHE_RUN)
 .include "${PORTSDIR}/Mk/bsd.apache.mk"
 .endif
 
Index: ports/Mk/bsd.apache.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.apache.mk,v
retrieving revision 1.27
diff -u -r1.27 bsd.apache.mk
--- ports/Mk/bsd.apache.mk	31 Mar 2011 14:23:32 -0000	1.27
+++ ports/Mk/bsd.apache.mk	3 Apr 2011 23:00:28 -0000
@@ -5,32 +5,94 @@
 #
 # bsd.apache.mk - Apache related macros.
 # Author: Clement Laforet <clement@FreeBSD.org>
+# Author: Olli Hauer <ohauer@FreeBSD.org>
 #
 # Please view me with 4 column tabs!
 
 ##########################################################################
 #
-# Variables definition
-# USE_APACHE:	Call this script. Values can be:
-#		<version>: 1.3/13/2.0/20/2.2/1.3+/2.0+/2.2+
-#		common*: common13, common20, and common22
+# This script will be included if one of the following is
+# defined in the Makefile of the port
+#
+#
+# USE_APACHE         - Set apache and apxs as build and run dependency
+# USE_APACHE_BUILDxx - Set apache and apxs as build dependency
+# USE_APACHE_RUN     - Set apache and apxs as run dependency
+#
+# The following example is representative of all three possible
+# parameters to use.
+#
+# Examples:
+#  USE_APACHE= 22           # specify exact version
+#  USE_APACHE= 1.3+         # specify [min] version, no [max] version
+#  USE_APACHE= 13-22        # specify [min]-[max] range
+#  USE_APACHE= -2.2         # specify [max] version, no no [min] version
+#
+# Note:
+#  - Values can be specified with and without '.' between major and minor
+#    version numbers. For example 22 is equal to 2.2
+#
+#  - If '+' is given and no apache is installed, then
+#    ${DEFAULT_APACHE_VERSION} will be used.
+#
+#  - Valid version numbers are specified in the variable
+#    APACHE_SUPPORTED_VERSION below
+#
+#  - The following values for USE_APACHE are reserverd and only valid
+#    in apache-server ports!
+#      USE_APACHE= common13, common20, and common22
+#
+# The following variables can be used (ro) in ports Makefile
+#  - APACHE_VERSION
+#  - APACHEETCDIR
+#  - APACHEINCLUDEDIR
+#  - APACHEMODDIR
+#  - DEFAULT_APACHE_VERSION
+#
 
-.if !defined(Apache_Pre_Include) || defined(PORT_IS_MODULE)
+.if !defined(Apache_Pre_Include)
 
 Apache_Pre_Include=		bsd.apache.mk
 
+.if !defined(AP13)
+DEFAULT_APACHE_VERSION=		22
+APACHE_SUPPORTED_VERSION=	22 13 20 # preferred version first
+.else
+DEFAULT_APACHE_VERSION=		13
+APACHE_SUPPORTED_VERSION=	13 22 20 # preferred version first
+.endif
+
 # Print warnings
 _ERROR_MSG=	: Error from bsd.apache.mk.
 
-APACHE_SUPPORTED_VERSION=	13 20 22
-
-.if ${USE_APACHE:Mcommon*} != ""
+# Important Note:
+#  Keep apache version in ascending order!
+#  The '+' sign is only valid as last sign, not between
+#  two versions or in combination with range!
+.if defined(USE_APACHE) && !empty(USE_APACHE)
+.   if ${USE_APACHE:Mcommon*} != ""
 AP_PORT_IS_SERVER=	YES
-.elif ${USE_APACHE:C/\.//:C/\+//:M[12][320]} != ""
+.   elif ${USE_APACHE:C/\.//g:C/\-//:S/^13//:S/^20//:S/^22//:C/\+$//} == ""
 AP_PORT_IS_MODULE=	YES
-.else
-IGNORE=		${_ERROR_MSG} Illegal use of USE_APACHE
-.endif
+.	 if ${USE_APACHE:C/\.//g:C/\-//:S/^13//:S/^20//:S/^22//} == "+"
+AP_PLUS=	yes
+.	 endif
+.   else
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE ( ${USE_APACHE} )
+.   endif
+
+# Catch unknown apache versions and silly USE_APACHE constructs
+.   if empty(AP_PORT_IS_SERVER) && empty(AP_PORT_IS_MODULE)
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE ( ${USE_APACHE} )
+.   endif
+
+# Catch USE_APACHE [min]-[max]+
+.   if defined(AP_PLUS) && ${USE_APACHE:C/[.+0-9]//g} == "-"
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE ( ${USE_APACHE} )
+.   endif
+.elif defined(USE_APACHE)
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE ( no version specified )
+.endif # defined(USE_APACHE)
 
 # ===============================================================
 .if defined(AP_PORT_IS_SERVER)
@@ -102,31 +164,31 @@
 .else
 .for category in ${ALL_MODULES_CATEGORIES}
 .if defined (WITHOUT_${category}_MODULES) || defined (WITH_CUSTOM_${category})
-.        if defined(WITH_${category}_MODULES})
-.        undef WITH_${category}_MODULES
-.        endif
-.    if defined (WITH_CUSTOM_${category})
+.      if defined(WITH_${category}_MODULES})
+.         undef WITH_${category}_MODULES
+.      endif
+.   if defined (WITH_CUSTOM_${category})
 _APACHE_MODULES+=	${WITH_CUSTOM_${category}}
-.    endif
+.   endif
 .elif defined(WITH_${category}_MODULES)
 _APACHE_MODULES+=	${${category}_MODULES}
 .endif
 .endfor
-.    if defined(WITH_EXTRA_MODULES)
+.   if defined(WITH_EXTRA_MODULES)
 _APACHE_MODULES+=	${WITH_EXTRA_MODULES}
-.    endif
+.   endif
 .endif
 
 .if !defined(WITH_STATIC_APACHE)
-.    if ${USE_APACHE:Mcommon2*} != ""
+.   if ${USE_APACHE:Mcommon2*} != ""
 # FYI
 #DYNAMIC_MODULES=	so
 CONFIGURE_ARGS+=	--enable-so
-.    endif
+.   endif
 .else
-.    if ${USE_APACHE:Mcommon2*} != ""
+.   if ${USE_APACHE:Mcommon2*} != ""
 CONFIGURE_ARGS+=	--disable-so
-.    endif
+.   endif
 WITH_ALL_STATIC_MODULES=	YES
 .endif
 
@@ -193,21 +255,21 @@
 CONFIGURE_ARGS+=	${_CONFIGURE_ARGS}
 .elif defined(WITH_STATIC_APACHE) || defined(WITH_ALL_STATIC_MODULES)
 WITH_STATIC_MODULES=	${APACHE_MODULES}
-.    if ${USE_APACHE} == common13
+.   if ${USE_APACHE} == common13
 .      for module in ${APACHE_MODULES}
 CONFIGURE_ARGS+=	--enable-module=${module}
 .      endfor
-.    else
+.   else
 CONFIGURE_ARGS+=	--enable-modules="${APACHE_MODULES}"
-.    endif
+.   endif
 .else
-.    if ${USE_APACHE} == common13
+.   if ${USE_APACHE} == common13
 .      for module in ${APACHE_MODULES}
 CONFIGURE_ARGS+=	--enable-module=${module} --enable-shared=${module}
 .      endfor
-.    else
+.   else
 CONFIGURE_ARGS+=	--enable-mods-shared="${APACHE_MODULES}"
-.    endif
+.   endif
 .endif
 
 .if defined(WITH_STATIC_MODULES)
@@ -221,9 +283,9 @@
 SHARED_MODULES=		${APACHE_MODULES}
 .endif
 
-.  for module in ${SHARED_MODULES}
+.   for module in ${SHARED_MODULES}
 ${module}_PLIST_SUB=	""
-.  endfor
+.   endfor
 
 .for module in ${AVAILABLE_MODULES}
 PLIST_SUB+=	MOD_${module:U}=${${module}_PLIST_SUB}
@@ -231,9 +293,7 @@
 #### End of AP_PORT_IS_SERVER ####
 
 # ===============================================================
-.elif defined(AP_PORT_IS_MODULE)
-AP_VERSION=	${USE_APACHE:C/\.//}
-
+.elif defined(AP_PORT_IS_MODULE) || defined(USE_APACHE_RUN) || defined(USE_APACHE_BUILD)
 APXS?=		${LOCALBASE}/sbin/apxs
 HTTPD?=		${LOCALBASE}/sbin/httpd
 
@@ -244,29 +304,51 @@
 					PKGNAMESUFFIX
 
 .if exists(${HTTPD})
-AP_CUR_VERSION!=	${HTTPD} -V | ${SED} -ne 's/^Server version: Apache\/\([0-9]\)\.\([0-9]*\).*/\1\2/p'
-.   if ${AP_CUR_VERSION} > 13
+_APACHE_VERSION!=	${HTTPD} -V | ${SED} -ne 's/^Server version: Apache\/\([0-9]\)\.\([0-9]*\).*/\1\2/p'
+.   if ${_APACHE_VERSION} > 13
 APACHE_MPM!=		${APXS} -q MPM_NAME
-.   endif 	
+.   endif 
 .elif defined(APACHE_PORT)
-AP_CUR_VERSION!=	${ECHO_CMD} ${APACHE_PORT} | ${SED} -ne 's,.*/apache\([0-9]*\).*,\1,p'
+_APACHE_VERSION!=	${ECHO_CMD} ${APACHE_PORT} | ${SED} -ne 's,.*/apache\([0-9]*\).*,\1,p'
 .endif
 
-.if defined(AP_CUR_VERSION)
-VERSION_CHECK!=		eval `${ECHO_CMD} "[ ${AP_VERSION} -eq ${AP_CUR_VERSION} ]" | ${SED} -e 's/- -eq/ -ge/ ; s/+ -eq/ -le/' ` ; ${ECHO_CMD} $${?}
-.   if ${VERSION_CHECK} == 1
-.if !defined(AP_IGNORE_VERSION_CHECK)
-IGNORE=		${_ERROR_MSG} apache${AP_CUR_VERSION} is installed (or APACHE_PORT is defined) and port requires ${USE_APACHE}
-.endif
+.if defined(USE_APACHE)
+_USE_APACHE:=	${USE_APACHE}
+.elif defined(USE_APACHE_BUILD)
+_USE_APACHE:=	${USE_APACHE_BUILD}
+.elif defined(USE_APACHE_RUN)
+_USE_APACHE:=	${USE_APACHE_RUN}
+.endif
+
+_APACHE_VERSION_CHECK:=			${_USE_APACHE:C/\.//g:C/^([1-9][0-9])$/\1-\1/}
+_APACHE_VERSION_MINIMUM_TMP:=	${_APACHE_VERSION_CHECK:C/([1-9][0-9])[-+].*/\1/}
+_APACHE_VERSION_MINIMUM:=		${_APACHE_VERSION_MINIMUM_TMP:M[1-9][0-9]}
+_APACHE_VERSION_MAXIMUM_TMP:=	${_APACHE_VERSION_CHECK:C/.*-([1-9][0-9])/\1/}
+_APACHE_VERSION_MAXIMUM:=		${_APACHE_VERSION_MAXIMUM_TMP:M[1-9][0-9]}
+
+.if defined(_APACHE_VERSION)
+# Validate Apache version whether it meets USE_APACHE version restriction.
+.   if !empty(_APACHE_VERSION_MINIMUM) && (${_APACHE_VERSION} < ${_APACHE_VERSION_MINIMUM})
+_APACHE_VERSION_NONSUPPORTED=	${_APACHE_VERSION_MINIMUM} at least
+.   elif !empty(_APACHE_VERSION_MAXIMUM) && (${_APACHE_VERSION} > ${_APACHE_VERSION_MAXIMUM})
+_APACHE_VERSION_NONSUPPORTED=	${_APACHE_VERSION_MAXIMUM} at most
 .   endif
-APACHE_VERSION=	${AP_CUR_VERSION}
-.else
-AP_CUR_VERSION=	none
-.   if !defined(APACHE_PORT)
-#Fallback to smallest version...
-APACHE_VERSION=	${AP_VERSION:C/\+//}
+
+.   if defined(_APACHE_VERSION_NONSUPPORTED) && !defined(AP_IGNORE_VERSION_CHECK)
+IGNORE=	${_ERROR_MSG} apache${_APACHE_VERSION} is installed (or APACHE_PORT is defined) and port requires apache${_APACHE_VERSION_NONSUPPORTED}
 .   endif
-.endif
+.else 		# defined(_APACHE_VERSION)
+.   for ver in ${APACHE_SUPPORTED_VERSION}
+__VER=	${ver}
+.      if !defined(_APACHE_VERSION) && \
+			!(!empty(_APACHE_VERSION_MINIMUM) && ( ${__VER} < ${_APACHE_VERSION_MINIMUM} )) && \
+			!(!empty(_APACHE_VERSION_MAXIMUM) && ( ${__VER} > ${_APACHE_VERSION_MAXIMUM} ))
+_APACHE_VERSION=	${ver}
+.      endif
+.   endfor
+.endif 		# defined(_APACHE_VERSION)
+
+APACHE_VERSION:=	${_APACHE_VERSION}
 
 .if exists(${APXS})
 APXS_PREFIX!=	${APXS} -q prefix 2> /dev/null || echo NULL
@@ -303,9 +385,9 @@
 		APACHEETCDIR="${APACHEETCDIR}"
 
 .for VAR in ${OVERRIDABLE_VARS}
-.  if defined(AP${APACHE_VERSION}_${VAR})
+.   if defined(AP${APACHE_VERSION}_${VAR})
 ${VAR} =${AP${APACHE_VERSION}_${VAR}}
-.  endif
+.   endif
 .endfor
 
 APACHE_PKGNAMEPREFIX=	ap${APACHE_VERSION}-
@@ -313,8 +395,14 @@
 PKGNAMEPREFIX?=	${APACHE_PKGNAMEPREFIX}
 .endif
 
+.if defined(USE_APACHE) || defined(USE_APACHE_BUILD)
 BUILD_DEPENDS+=	${APXS}:${PORTSDIR}/${APACHE_PORT}
+.endif
+
+.if defined(USE_APACHE) || defined(USE_APACHE_RUN)
 RUN_DEPENDS+=	${APXS}:${PORTSDIR}/${APACHE_PORT}
+.endif
+
 PLIST_SUB+=	AP_NAME="${SHORTMODNAME}"
 PLIST_SUB+=	AP_MODULE="${MODULENAME}.so"
 
@@ -330,11 +418,34 @@
 .endif
 
 .endif # End of AP_PORT_IS_SERVER   / AP_PORT_IS_MOULE
-.endif # End of !Apache_Pre_Include / PORT_IS_MODULE
+.endif # End of !Apache_Pre_Include
 
 # ===============================================================
 .if defined(_POSTMKINCLUDED) && !defined(Apache_Post_Include)
-Apache_Post_Include=                    bsd.apache.mk
+Apache_Post_Include=	bsd.apache.mk
+
+.if defined(USE_APACHE_RUN) && !empty(USE_APACHE_RUN)
+.   if ${USE_APACHE_RUN:C/\.//g:C/\-//:S/^13//:S/^20//:S/^22//:C/\+$//} != ""
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE_RUN ( ${USE_APACHE_RUN} )
+.   endif
+.elif defined(USE_APACHE_RUN)
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE_RUN ( no version specified )
+.endif
+
+.if defined(USE_APACHE_BUILD) && !empty(USE_APACHE_BUILD)
+.   if ${USE_APACHE_BUILD:C/\.//g:C/\-//:S/^13//:S/^20//:S/^22//:C/\+$//} != ""
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE_BUILD ( ${USE_APACHE_BUILD} )
+.   endif
+.elif defined(USE_APACHE_BUILD)
+IGNORE=	${_ERROR_MSG} Illegal use of USE_APACHE_BUILD ( no version specified )
+.endif
+
+# Check if USE_APACHE(_BUILD|_RUN) are mixed together
+.if defined(USE_APACHE) && ( defined(USE_APACHE_BUILD) || defined(USE_APACHE_RUN) )
+IGNORE=	${_ERROR_MSG} specify only one of: USE_APACHE USE_APACHE_BUILD USE_APACHE_RUN
+.elif defined(USE_APACHE_BUILD) && defined(USE_APACHE_RUN)
+IGNORE= ${_ERROR_MSG} use USE_APACHE instead of USE_APACHE_BUILD and USE_APACHE_RUN together
+.endif
 
 .if defined(AP_PORT_IS_SERVER)
 .if !target(print-closest-mirrors)
@@ -399,7 +510,10 @@
 .if defined(AP_GENPLIST)
 .   if !exists(${PLIST})
 	@${ECHO} "===>  Generating apache plist"
-	@${ECHO} "@unexec ${SED} -i '' '/LoadModule %%AP_NAME%%_module/d' %D/%%APACHEETCDIR%%/httpd.conf" >> ${PLIST}
+# apache 20/22
+	@${ECHO} "@unexec ${SED} -i '' '/LoadModule.*%%AP_NAME%%_module/d' %D/%%APACHEETCDIR%%/httpd.conf" >> ${PLIST}
+# apache13
+#	@${ECHO} "@unexec ${SED} -i '' '/AddModule.*mod_%%AP_NAME%%.c/d' %D/%%APACHEETCDIR%%/httpd.conf" >> ${PLIST}
 	@${ECHO} "%%APACHEMODDIR%%/%%AP_MODULE%%" >> ${PLIST}
 	@${ECHO} "@exec %D/sbin/apxs -e -A -n %%AP_NAME%% %D/%F" >> ${PLIST}
 	@${ECHO} "@unexec echo \"Don't forget to remove all ${MODULENAME}-related directives in your httpd.conf\"">> ${PLIST}
--- patch_Mk__bsd.apache.mk.txt ends here ---
Comment 23 Olli Hauer freebsd_committer 2011-06-29 21:24:28 UTC
Request exp-run to make apache22 the default.

The patch below set apache22 as default version

Additional:
 - mark games/phpua broken
 - unbreak www/foswiki-ModPerlEngineContrib
 - change default mod_perl verson for www/p5-Maypole

If possible please take a look into PR 157852 (Mk/bsd.svn.mk)
perhaps the exp-run can be a combined one.

A current patch for PR 157852 can be found here:
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk.diff
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk_all_ports.diff



--- apache22_as_default.diff begins here ---
Index: Mk/bsd.apache.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.apache.mk,v
retrieving revision 1.29
diff -u -r1.29 bsd.apache.mk
--- Mk/bsd.apache.mk	15 May 2011 20:21:30 -0000	1.29
+++ Mk/bsd.apache.mk	29 Jun 2011 20:08:36 -0000
@@ -83,8 +83,8 @@
 
 Apache_Pre_Include=		bsd.apache.mk
 
-DEFAULT_APACHE_VERSION=		13
-APACHE_SUPPORTED_VERSION=	13 20 22 # preferred version first
+DEFAULT_APACHE_VERSION=		22
+APACHE_SUPPORTED_VERSION=	22 13 20 # preferred version first
 
 # Print warnings
 _ERROR_MSG=	: Error from bsd.apache.mk.
Index: games/phpua-engine/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-engine/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- games/phpua-engine/Makefile	22 Aug 2009 00:22:24 -0000	1.12
+++ games/phpua-engine/Makefile	29 Jun 2011 20:08:36 -0000
@@ -18,6 +18,8 @@
 USE_APACHE=	1.3
 USE_PHP=	yes
 
+BROKEN=		conflicting dependencies
+
 _subs=PHPUADIR=${PHPUADIR} PHPUA_USER=${PHPUA_USER} PHPUA_GROUP=${PHPUA_GROUP} APNAME=${APNAME}
 
 PLIST_SUB+=	${_subs}
Index: games/phpua-engine/distinfo
===================================================================
RCS file: /home/pcvs/ports/games/phpua-engine/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- games/phpua-engine/distinfo	24 Nov 2005 19:27:41 -0000	1.2
+++ games/phpua-engine/distinfo	29 Jun 2011 20:08:36 -0000
@@ -1,3 +1,2 @@
-MD5 (phpua-engine-1.1.0b.tar.gz) = 93cc013555fabb859ae54dc4cd9eefc5
 SHA256 (phpua-engine-1.1.0b.tar.gz) = a64aac9c721eccfce653cb890dd9fd358c5cad01c928a263736e7bff8565a6e5
 SIZE (phpua-engine-1.1.0b.tar.gz) = 171707
Index: www/foswiki-ModPerlEngineContrib/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/foswiki-ModPerlEngineContrib/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- www/foswiki-ModPerlEngineContrib/Makefile	10 Mar 2011 22:54:19 -0000	1.2
+++ www/foswiki-ModPerlEngineContrib/Makefile	29 Jun 2011 20:08:36 -0000
@@ -12,8 +12,7 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	Permits Foswiki to be executed under mod_perl
 
-BUILD_DEPENDS=	foswiki>=0:/usr/ports/www/foswiki
-RUN_DEPENDS=	${BUILD_DEPENDS} \
+RUN_DEPENDS=	foswiki>=0:${PORTSDIR}/www/foswiki \
 		${APACHE_PKGNAMEPREFIX}mod_perl2>=2.0.0:${PORTSDIR}/www/mod_perl2 \
 		p5-libapreq2>=2.0:${PORTSDIR}/www/p5-libapreq2
 
@@ -21,7 +20,5 @@
 
 USE_APACHE=	2.2+
 
-BROKEN=		conflicting dependencies
-
 .include "${.CURDIR}/../foswiki/bsd.foswiki.mk"
 .include <bsd.port.mk>
Index: www/p5-Maypole/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Maypole/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- www/p5-Maypole/Makefile	16 Jun 2011 02:57:30 -0000	1.23
+++ www/p5-Maypole/Makefile	29 Jun 2011 20:08:36 -0000
@@ -42,8 +42,8 @@
 
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS=	MODPERL "mod_perl support" on \
-		MODPERL2 "mod_perl2 support" off
+OPTIONS=	MODPERL "mod_perl support" off \
+		MODPERL2 "mod_perl2 support" on
 
 PERL_CONFIGURE=	yes
 .include <bsd.port.options.mk>
--- apache22_as_default.diff ends here ---
Comment 24 Philip M. Gollucci 2011-06-30 00:44:35 UTC
Assuming this works out, Olli, please make sure you commit the Actual
bump code in a separate commit. Also, it would be good to work up the
deprecation patch, so we can move on that about very shortly after the
flip since we'll need a 3-6 month deprecation notice.


On 06/29/11 20:24, Olli Hauer wrote:
> Request exp-run to make apache22 the default.
> 
> The patch below set apache22 as default version
> 
> Additional:
>  - mark games/phpua broken
>  - unbreak www/foswiki-ModPerlEngineContrib
>  - change default mod_perl verson for www/p5-Maypole
> 
> If possible please take a look into PR 157852 (Mk/bsd.svn.mk)
> perhaps the exp-run can be a combined one.
> 
> A current patch for PR 157852 can be found here:
> http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk.diff
> http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk_all_ports.diff
> 
> 
> 
> --- apache22_as_default.diff begins here ---
> Index: Mk/bsd.apache.mk
> ===================================================================
> RCS file: /home/pcvs/ports/Mk/bsd.apache.mk,v
> retrieving revision 1.29
> diff -u -r1.29 bsd.apache.mk
> --- Mk/bsd.apache.mk	15 May 2011 20:21:30 -0000	1.29
> +++ Mk/bsd.apache.mk	29 Jun 2011 20:08:36 -0000
> @@ -83,8 +83,8 @@
>  
>  Apache_Pre_Include=		bsd.apache.mk
>  
> -DEFAULT_APACHE_VERSION=		13
> -APACHE_SUPPORTED_VERSION=	13 20 22 # preferred version first
> +DEFAULT_APACHE_VERSION=		22
> +APACHE_SUPPORTED_VERSION=	22 13 20 # preferred version first
>  
>  # Print warnings
>  _ERROR_MSG=	: Error from bsd.apache.mk.
> Index: games/phpua-engine/Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/games/phpua-engine/Makefile,v
> retrieving revision 1.12
> diff -u -r1.12 Makefile
> --- games/phpua-engine/Makefile	22 Aug 2009 00:22:24 -0000	1.12
> +++ games/phpua-engine/Makefile	29 Jun 2011 20:08:36 -0000
> @@ -18,6 +18,8 @@
>  USE_APACHE=	1.3
>  USE_PHP=	yes
>  
> +BROKEN=		conflicting dependencies
> +
>  _subs=PHPUADIR=${PHPUADIR} PHPUA_USER=${PHPUA_USER} PHPUA_GROUP=${PHPUA_GROUP} APNAME=${APNAME}
>  
>  PLIST_SUB+=	${_subs}
> Index: games/phpua-engine/distinfo
> ===================================================================
> RCS file: /home/pcvs/ports/games/phpua-engine/distinfo,v
> retrieving revision 1.2
> diff -u -r1.2 distinfo
> --- games/phpua-engine/distinfo	24 Nov 2005 19:27:41 -0000	1.2
> +++ games/phpua-engine/distinfo	29 Jun 2011 20:08:36 -0000
> @@ -1,3 +1,2 @@
> -MD5 (phpua-engine-1.1.0b.tar.gz) = 93cc013555fabb859ae54dc4cd9eefc5
>  SHA256 (phpua-engine-1.1.0b.tar.gz) = a64aac9c721eccfce653cb890dd9fd358c5cad01c928a263736e7bff8565a6e5
>  SIZE (phpua-engine-1.1.0b.tar.gz) = 171707
> Index: www/foswiki-ModPerlEngineContrib/Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/www/foswiki-ModPerlEngineContrib/Makefile,v
> retrieving revision 1.2
> diff -u -r1.2 Makefile
> --- www/foswiki-ModPerlEngineContrib/Makefile	10 Mar 2011 22:54:19 -0000	1.2
> +++ www/foswiki-ModPerlEngineContrib/Makefile	29 Jun 2011 20:08:36 -0000
> @@ -12,8 +12,7 @@
>  MAINTAINER=	skv@FreeBSD.org
>  COMMENT=	Permits Foswiki to be executed under mod_perl
>  
> -BUILD_DEPENDS=	foswiki>=0:/usr/ports/www/foswiki
> -RUN_DEPENDS=	${BUILD_DEPENDS} \
> +RUN_DEPENDS=	foswiki>=0:${PORTSDIR}/www/foswiki \
>  		${APACHE_PKGNAMEPREFIX}mod_perl2>=2.0.0:${PORTSDIR}/www/mod_perl2 \
>  		p5-libapreq2>=2.0:${PORTSDIR}/www/p5-libapreq2
>  
> @@ -21,7 +20,5 @@
>  
>  USE_APACHE=	2.2+
>  
> -BROKEN=		conflicting dependencies
> -
>  .include "${.CURDIR}/../foswiki/bsd.foswiki.mk"
>  .include <bsd.port.mk>
> Index: www/p5-Maypole/Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/www/p5-Maypole/Makefile,v
> retrieving revision 1.23
> diff -u -r1.23 Makefile
> --- www/p5-Maypole/Makefile	16 Jun 2011 02:57:30 -0000	1.23
> +++ www/p5-Maypole/Makefile	29 Jun 2011 20:08:36 -0000
> @@ -42,8 +42,8 @@
>  
>  MAKE_JOBS_SAFE=	yes
>  
> -OPTIONS=	MODPERL "mod_perl support" on \
> -		MODPERL2 "mod_perl2 support" off
> +OPTIONS=	MODPERL "mod_perl support" off \
> +		MODPERL2 "mod_perl2 support" on
>  
>  PERL_CONFIGURE=	yes
>  .include <bsd.port.options.mk>
> --- apache22_as_default.diff ends here ---
> 
> 


-- 
------------------------------------------------------------------------
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C
Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
VP Infrastructure,                Apache Software Foundation
Committer,                        FreeBSD Foundation
Consultant,                       P6M7G8 Inc.
Sr. System Admin,                 Ridecharge Inc.

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 25 Olli Hauer freebsd_committer 2011-06-30 06:30:21 UTC
Responsible Changed
From-To: ohauer->portmgr

-exp run please.
Comment 26 Olli Hauer freebsd_committer 2011-07-10 17:02:36 UTC
> Assuming this works out, Olli, please make sure you commit the Actual
> bump code in a separate commit. Also, it would be good to work up the
> deprecation patch, so we can move on that about very shortly after the
> flip since we'll need a 3-6 month deprecation notice.


I have all deprecation patches but I don't know when the exp-run will
be done. I suspect we will see apache13 in FreeBSD-9 as well ...
Comment 27 Mark Linimon freebsd_committer freebsd_triage 2011-08-10 23:31:54 UTC
State Changed
From-To: open->feedback

could I get a copy of everything including the deprecation patches, 
please?
Comment 28 Olli Hauer freebsd_committer 2011-08-14 18:33:25 UTC
Hi Mark,

Thanks for picking up the exp-run and sorry for the delay but I haven't go any
mail from gnats (maybe you could set Philip and me to Cc in replys).

I've done new diffs so they should apply clean to a current portstree since
there where many changes between.

01_apache22_default.diff :
 set apache22 as the default and fix a view ports.

02_apache13_deprecate.diff :
 deprecate apache13 only ports (EXPIRE on 2011-10-01).

03_apache13_deprecate_depend.diff :
 deprecate ports which depending on ports included in the 02_apache13_deprecate.diff
 

Maybe we should adjust the expiration date in patch 02/03 now to a later date
(it was OK for the time I requested the exp-run)


I've uploaded the three patches to this location.

http://people.freebsd.org/~ohauer/diffs/PR_147009/01_apache22_default.diff
http://people.freebsd.org/~ohauer/diffs/PR_147009/02_apache13_deprecate.diff
http://people.freebsd.org/~ohauer/diffs/PR_147009/03_apache13_deprecate_depend.diff

Please ignore the requests for PR ports/157852, I will close SVN framework request
since it seems there is no interest.


--- 01_apache22_default.diff begins here ---
Index: Mk/bsd.apache.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.apache.mk,v
retrieving revision 1.29
diff -u -r1.29 bsd.apache.mk
--- Mk/bsd.apache.mk	15 May 2011 20:21:30 -0000	1.29
+++ Mk/bsd.apache.mk	14 Aug 2011 16:45:12 -0000
@@ -83,8 +83,8 @@
 
 Apache_Pre_Include=		bsd.apache.mk
 
-DEFAULT_APACHE_VERSION=		13
-APACHE_SUPPORTED_VERSION=	13 20 22 # preferred version first
+DEFAULT_APACHE_VERSION=		22
+APACHE_SUPPORTED_VERSION=	22 13 20 # preferred version first
 
 # Print warnings
 _ERROR_MSG=	: Error from bsd.apache.mk.
Index: www/foswiki-ModPerlEngineContrib/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/foswiki-ModPerlEngineContrib/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- www/foswiki-ModPerlEngineContrib/Makefile	10 Mar 2011 22:54:19 -0000	1.2
+++ www/foswiki-ModPerlEngineContrib/Makefile	14 Aug 2011 16:45:12 -0000
@@ -12,8 +12,7 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	Permits Foswiki to be executed under mod_perl
 
-BUILD_DEPENDS=	foswiki>=0:/usr/ports/www/foswiki
-RUN_DEPENDS=	${BUILD_DEPENDS} \
+RUN_DEPENDS=	foswiki>=0:${PORTSDIR}/www/foswiki \
 		${APACHE_PKGNAMEPREFIX}mod_perl2>=2.0.0:${PORTSDIR}/www/mod_perl2 \
 		p5-libapreq2>=2.0:${PORTSDIR}/www/p5-libapreq2
 
@@ -21,7 +20,5 @@
 
 USE_APACHE=	2.2+
 
-BROKEN=		conflicting dependencies
-
 .include "${.CURDIR}/../foswiki/bsd.foswiki.mk"
 .include <bsd.port.mk>
Index: www/p5-Maypole/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Maypole/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- www/p5-Maypole/Makefile	16 Jun 2011 02:57:30 -0000	1.23
+++ www/p5-Maypole/Makefile	14 Aug 2011 16:45:12 -0000
@@ -42,8 +42,8 @@
 
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS=	MODPERL "mod_perl support" on \
-		MODPERL2 "mod_perl2 support" off
+OPTIONS=	MODPERL "mod_perl support" off \
+		MODPERL2 "mod_perl2 support" on
 
 PERL_CONFIGURE=	yes
 .include <bsd.port.options.mk>
--- 01_apache22_default.diff ends here ---

--- 02_apache13_deprecate.diff begins here ---
Index: databases/mysql-editor/Makefile
===================================================================
RCS file: /home/pcvs/ports/databases/mysql-editor/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- databases/mysql-editor/Makefile	16 Dec 2009 03:10:54 -0000	1.10
+++ databases/mysql-editor/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,7 +16,10 @@
 COMMENT=	CGI scripts in Perl to edit your MySQL tables
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
 
 USE_APACHE=	1.3
 NO_BUILD=	yes
Index: databases/mysqlman/Makefile
===================================================================
RCS file: /home/pcvs/ports/databases/mysqlman/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- databases/mysqlman/Makefile	12 Dec 2010 03:34:51 -0000	1.11
+++ databases/mysqlman/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 
 RESTRICTED=	not redistributable, license agreement required
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_PERL5=	yes
 USE_APACHE=	1.3
 USE_MYSQL=	yes
Index: databases/p5-ApacheDBILogConfig/Makefile
===================================================================
RCS file: /home/pcvs/ports/databases/p5-ApacheDBILogConfig/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- databases/p5-ApacheDBILogConfig/Makefile	22 May 2011 22:10:51 -0000	1.13
+++ databases/p5-ApacheDBILogConfig/Makefile	14 Aug 2011 16:47:22 -0000
@@ -22,6 +22,9 @@
 
 MAKE_JOBS_SAFE=  yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	13
 PERL_CONFIGURE=	yes
 
Index: databases/p5-ApacheDBILogger/Makefile
===================================================================
RCS file: /home/pcvs/ports/databases/p5-ApacheDBILogger/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- databases/p5-ApacheDBILogger/Makefile	22 May 2011 22:10:52 -0000	1.14
+++ databases/p5-ApacheDBILogger/Makefile	14 Aug 2011 16:47:22 -0000
@@ -22,6 +22,9 @@
 
 MAKE_JOBS_SAFE=  yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	13
 PERL_CONFIGURE=	yes
 
Index: games/phpua-engine/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-engine/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- games/phpua-engine/Makefile	22 Aug 2009 00:22:24 -0000	1.12
+++ games/phpua-engine/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,10 +14,15 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Game server monitor & admin tool
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 NO_BUILD=	yes
 USE_APACHE=	1.3
 USE_PHP=	yes
 
+BROKEN=		conflicting dependencies
+
 _subs=PHPUADIR=${PHPUADIR} PHPUA_USER=${PHPUA_USER} PHPUA_GROUP=${PHPUA_GROUP} APNAME=${APNAME}
 
 PLIST_SUB+=	${_subs}
Index: lang/fpc/Makefile
===================================================================
RCS file: /home/pcvs/ports/lang/fpc/Makefile,v
retrieving revision 1.38
diff -u -r1.38 Makefile
--- lang/fpc/Makefile	23 Jun 2011 05:05:26 -0000	1.38
+++ lang/fpc/Makefile	14 Aug 2011 16:47:22 -0000
@@ -133,13 +133,13 @@
 	@cd ${WRKDIR}/${FPCSRCDIR}/utils/fpcm && ${GMAKE} ${MAKE_ENV}
 
 do-install:
-	# Installing fpc compiler
+# 	Installing fpc compiler
 	@cd ${WRKDIR}/${FPCSRCDIR}/rtl && ${GMAKE} install ${MAKE_ENV}
-      	# Installing fpc runtime
+# 	Installing fpc runtime
 	@cd ${WRKDIR}/${FPCSRCDIR}/compiler && ${GMAKE} install ${MAKE_ENV}
-	# Installng fpcmake
+# 	Installng fpcmake
 	@@cd ${WRKDIR}/${FPCSRCDIR}/utils/fpcm && ${GMAKE} install ${MAKE_ENV}
-	# Installing manpages
+# 	Installing manpages
 	${INSTALL_DATA} ${WRKDIR}/man/man1/* ${MAN1PREFIX}/man/man1
 	${INSTALL_DATA} ${WRKDIR}/man/man5/* ${MAN1PREFIX}/man/man5
 
Index: mail/mailscanner-mrtg/Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/mailscanner-mrtg/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- mail/mailscanner-mrtg/Makefile	29 Dec 2010 20:04:22 -0000	1.15
+++ mail/mailscanner-mrtg/Makefile	14 Aug 2011 16:47:22 -0000
@@ -17,6 +17,9 @@
 RUN_DEPENDS=	${LOCALBASE}/bin/mrtg:${PORTSDIR}/net-mgmt/mrtg \
 		${LOCALBASE}/lib/MailScanner/MailScanner.pm:${PORTSDIR}/mail/mailscanner
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_PERL5=	yes
 USE_APACHE=	1.3
 
Index: russian/apache13/Makefile
===================================================================
RCS file: /home/pcvs/ports/russian/apache13/Makefile,v
retrieving revision 1.49
diff -u -r1.49 Makefile
--- russian/apache13/Makefile	7 Oct 2007 05:45:01 -0000	1.49
+++ russian/apache13/Makefile	14 Aug 2011 16:47:22 -0000
@@ -19,6 +19,9 @@
 MAINTAINER=	lev@FreeBSD.org
 COMMENT=	The extremely popular Apache http server.  Very fast, very clean
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_PERL5=	yes
 
 # New ports feature: conflicts
Index: russian/apache13-modssl/Makefile
===================================================================
RCS file: /home/pcvs/ports/russian/apache13-modssl/Makefile,v
retrieving revision 1.54
diff -u -r1.54 Makefile
--- russian/apache13-modssl/Makefile	18 Jul 2007 09:01:17 -0000	1.54
+++ russian/apache13-modssl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -50,6 +50,9 @@
 		publicfile-* \
 		ru-apache-*
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_OPENSSL=	yes
 USE_PERL5=	yes
 
Index: textproc/p5-Apache-XBEL/Makefile
===================================================================
RCS file: /home/pcvs/ports/textproc/p5-Apache-XBEL/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- textproc/p5-Apache-XBEL/Makefile	16 Jan 2010 14:45:46 -0000	1.8
+++ textproc/p5-Apache-XBEL/Makefile	14 Aug 2011 16:47:22 -0000
@@ -19,7 +19,10 @@
 		${SITE_PERL}/${PERL_ARCH}/XML/LibXML.pm:${PORTSDIR}/textproc/p5-XML-LibXML \
 		${SITE_PERL}/${PERL_ARCH}/XML/LibXSLT.pm:${PORTSDIR}/textproc/p5-XML-LibXSLT \
 		${SITE_PERL}/Memoize.pm:${PORTSDIR}/devel/p5-Memoize
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
 
 MAKE_JOBS_SAFE=  yes
 
Index: www/apache-contrib/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache-contrib/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- www/apache-contrib/Makefile	17 May 2009 07:24:23 -0000	1.21
+++ www/apache-contrib/Makefile	14 Aug 2011 16:47:22 -0000
@@ -17,6 +17,9 @@
 
 MAKE_JOBS_SAFE=  yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	13
 
 .include <bsd.port.pre.mk>
Index: www/apache13/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13/Makefile,v
retrieving revision 1.191
diff -u -r1.191 Makefile
--- www/apache13/Makefile	3 Feb 2010 22:30:49 -0000	1.191
+++ www/apache13/Makefile	14 Aug 2011 16:47:22 -0000
@@ -27,6 +27,10 @@
 		apache+ipv6-1.* apache+ssl-1.* apache-2.* apache_fp-1.* \
 		caudium-devel-1.* caudium10-1.* caudium12-1.* \
 		ru-apache+mod_ssl-1.* ru-apache-1.*
+
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_CSTD=	gnu89
 USE_PERL5=	yes
 USE_RC_SUBR=	apache
Index: www/apache13+ipv6/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13+ipv6/Makefile,v
retrieving revision 1.67
diff -u -r1.67 Makefile
--- www/apache13+ipv6/Makefile	6 May 2010 08:06:05 -0000	1.67
+++ www/apache13+ipv6/Makefile	14 Aug 2011 16:47:22 -0000
@@ -19,6 +19,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	The extremely popular Apache http server. Very fast, very clean
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache+mod_ssl-1.* apache+mod_ssl+ipv6-1.* apache+mod_ssl+modsnmp-1.* \
Index: www/apache13-modperl/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13-modperl/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- www/apache13-modperl/Makefile	28 Mar 2010 21:45:54 -0000	1.26
+++ www/apache13-modperl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -21,6 +21,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache-1.* apache+mod_ssl-1.* apache+mod_ssl+ipv6-1.* apache+mod_ssl+modsnmp-1.* \
Index: www/apache13-modssl/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13-modssl/Makefile,v
retrieving revision 1.199
diff -u -r1.199 Makefile
--- www/apache13-modssl/Makefile	13 Jun 2010 08:40:05 -0000	1.199
+++ www/apache13-modssl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -33,6 +33,9 @@
 LIB_DEPENDS=	mm.14:${PORTSDIR}/devel/mm
 PATCH_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 LICENSE_COMB=	multi
 LICENSE=	ASL BSD
 CONFLICTS?=	apache+ipv6-1.* apache+ssl-1.* apache-1.* apache-2.* \
Index: www/apache13-modssl+ipv6/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13-modssl+ipv6/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- www/apache13-modssl+ipv6/Makefile	9 Jan 2009 14:20:18 -0000	1.5
+++ www/apache13-modssl+ipv6/Makefile	14 Aug 2011 16:47:22 -0000
@@ -9,6 +9,9 @@
 MAINTAINER=	dinoex@FreeBSD.org
 COMMENT=	The Apache 1.3 webserver with SSL/TLS and IPv6 functionality
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 WITH_APACHE_IPV6=yes
 MASTERDIR?=	${.CURDIR}/../apache13-modssl
 
Index: www/apache13-ssl/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache13-ssl/Makefile,v
retrieving revision 1.124
diff -u -r1.124 Makefile
--- www/apache13-ssl/Makefile	17 May 2009 07:24:24 -0000	1.124
+++ www/apache13-ssl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -21,6 +21,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache secure webserver integrating OpenSSL
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache+mod_ssl-1.* apache+mod_ssl+ipv6-1.* apache+mod_ssl+modsnmp-1.* \
Index: www/auth_ldap/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/auth_ldap/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- www/auth_ldap/Makefile	25 Feb 2011 01:32:09 -0000	1.21
+++ www/auth_ldap/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 
 MAKE_JOBS_SAFE=  yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_OPENLDAP=	yes
 USE_APACHE=	13
 GNU_CONFIGURE=	yes
Index: www/kdedict/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/kdedict/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/kdedict/Makefile	8 May 2009 15:55:03 -0000	1.6
+++ www/kdedict/Makefile	14 Aug 2011 16:47:22 -0000
@@ -22,6 +22,9 @@
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 NO_BUILD=	yes
 USE_PERL5_RUN=	yes
 USE_APACHE=	1.3
Index: www/mod_access_identd/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_access_identd/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_access_identd/Makefile	17 May 2009 07:24:24 -0000	1.11
+++ www/mod_access_identd/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to supply access control based on ident reply
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
Index: www/mod_access_referer/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_access_referer/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- www/mod_access_referer/Makefile	27 Aug 2009 18:31:08 -0000	1.18
+++ www/mod_access_referer/Makefile	14 Aug 2011 16:47:22 -0000
@@ -21,6 +21,9 @@
 
 MAKE_JOBS_SAFE=  yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	13
 AP_FAST_BUILD=	YES
 AP_GENPLIST=	YES
Index: www/mod_accounting/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_accounting/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- www/mod_accounting/Makefile	2 Jul 2011 16:04:28 -0000	1.25
+++ www/mod_accounting/Makefile	14 Aug 2011 16:47:22 -0000
@@ -20,6 +20,9 @@
 OPTIONS=	MYSQL	"Enable MySQL support" on \
 			PGSQL	"Enable PGSQL support" off
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	13
 MAKE_ARGS+=	APXS="${APXS}"
 
Index: www/mod_auth_cookie_mysql/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_cookie_mysql/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/mod_auth_cookie_mysql/Makefile	19 Mar 2011 13:15:31 -0000	1.10
+++ www/mod_auth_cookie_mysql/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Allows authentication against a MySQL database via a secure cookie
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_MYSQL=	YES
Index: www/mod_auth_external/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_external/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- www/mod_auth_external/Makefile	22 Sep 2010 21:50:01 -0000	1.17
+++ www/mod_auth_external/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Enables the use of external mechanisms for user authentication
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 PORTSCOUT=  limit:^2.1
Index: www/mod_auth_imap/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_imap/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- www/mod_auth_imap/Makefile	17 May 2009 07:24:26 -0000	1.5
+++ www/mod_auth_imap/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module to provide authentication via an IMAP mail server
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	13
Index: www/mod_auth_kerb/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_kerb/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- www/mod_auth_kerb/Makefile	25 May 2010 20:17:27 -0000	1.26
+++ www/mod_auth_kerb/Makefile	14 Aug 2011 16:47:22 -0000
@@ -17,6 +17,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module for authenticating users with Kerberos v5
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_auth_mysql/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_mysql/Makefile,v
retrieving revision 1.35
diff -u -r1.35 Makefile
--- www/mod_auth_mysql/Makefile	2 Jul 2011 16:10:19 -0000	1.35
+++ www/mod_auth_mysql/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Allows users to use MySQL databases for user authentication
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_MYSQL=	yes
Index: www/mod_auth_pam/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_pam/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- www/mod_auth_pam/Makefile	20 Oct 2010 03:26:32 -0000	1.14
+++ www/mod_auth_pam/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Allows users to use PAM modules for user authentication
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_auth_pgsql/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_pgsql/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- www/mod_auth_pgsql/Makefile	7 Jun 2010 04:03:40 -0000	1.26
+++ www/mod_auth_pgsql/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Allows users to use PostgreSQL databases for user authentication
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_DOS2UNIX=	${PORTNAME}.html
Index: www/mod_auth_useragent/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_auth_useragent/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_auth_useragent/Makefile	17 May 2009 07:24:27 -0000	1.6
+++ www/mod_auth_useragent/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Allows you to forbid clients based on their User-Agent
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	13
Index: www/mod_backhand/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_backhand/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- www/mod_backhand/Makefile	7 Jun 2010 04:21:12 -0000	1.16
+++ www/mod_backhand/Makefile	14 Aug 2011 16:47:22 -0000
@@ -18,6 +18,9 @@
 
 MAKE_JOBS_SAFE=	yes
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	1.3
 
 GNU_CONFIGURE=	yes
Index: www/mod_bandwidth/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_bandwidth/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- www/mod_bandwidth/Makefile	18 Jan 2011 20:47:43 -0000	1.16
+++ www/mod_bandwidth/Makefile	14 Aug 2011 16:47:22 -0000
@@ -25,6 +25,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Bandwidth management module for the Apache webserver
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 CONFLICTS=	apache-contrib-1.*
Index: www/mod_bf/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_bf/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_bf/Makefile	22 Aug 2009 00:38:13 -0000	1.11
+++ www/mod_bf/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	A brainf*ck module for Apache
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	13
Index: www/mod_blosxom/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_blosxom/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_blosxom/Makefile	22 Aug 2009 00:38:13 -0000	1.11
+++ www/mod_blosxom/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	Apache module to build the extremely lightweight Weblog environment
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_blowchunks/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_blowchunks/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/mod_blowchunks/Makefile	17 May 2009 07:24:28 -0000	1.10
+++ www/mod_blowchunks/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module for rejecting and logging chunked requests
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 OPTIONS=	BLOWCHUNK_LOG	"Log chunked requests"	off
Index: www/mod_bunzip2/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_bunzip2/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- www/mod_bunzip2/Makefile	17 May 2009 07:24:28 -0000	1.9
+++ www/mod_bunzip2/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module for server-side decompression of bzip2 files
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_cgi_debug/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_cgi_debug/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_cgi_debug/Makefile	17 May 2009 07:24:29 -0000	1.11
+++ www/mod_cgi_debug/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to make debugging server-side scripts easier
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_color/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_color/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/mod_color/Makefile	17 May 2009 07:24:29 -0000	1.10
+++ www/mod_color/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module that provides syntax coloring for various languages
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_curb/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_curb/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_curb/Makefile	17 May 2009 07:24:30 -0000	1.6
+++ www/mod_curb/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	A per-server bandwidth limiter module for Apache 1.3
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	13
Index: www/mod_cvs/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_cvs/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_cvs/Makefile	20 Oct 2010 03:26:33 -0000	1.12
+++ www/mod_cvs/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	A module that makes Apache CVS aware
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache-contrib-1.*
Index: www/mod_dav/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_dav/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- www/mod_dav/Makefile	25 May 2010 20:17:29 -0000	1.24
+++ www/mod_dav/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module that provides DAV capabilities
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 OPTIONS=	SYMLINK_PATCH	"Follow Symlinks" off \
Index: www/mod_dtcl/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_dtcl/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- www/mod_dtcl/Makefile	22 Sep 2010 21:50:01 -0000	1.32
+++ www/mod_dtcl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -17,6 +17,9 @@
 
 BUILD_DEPENDS=	${APXS}:${PORTSDIR}/${APACHE_PORT}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 USE_TCL=	83+
 
Index: www/mod_extract_forwarded_ap13/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_extract_forwarded_ap13/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- www/mod_extract_forwarded_ap13/Makefile	20 Oct 2010 02:45:19 -0000	1.16
+++ www/mod_extract_forwarded_ap13/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module that can make proxied requests appear with client IP
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_filter/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_filter/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- www/mod_filter/Makefile	17 May 2009 07:24:30 -0000	1.8
+++ www/mod_filter/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=		apache@FreeBSD.org
 COMMENT=	Filter output from other modules inside of Apache
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=		1.3
Index: www/mod_geoip/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_geoip/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- www/mod_geoip/Makefile	21 Jan 2011 17:11:23 -0000	1.25
+++ www/mod_geoip/Makefile	14 Aug 2011 16:47:22 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
 RUN_DEPENDS=	GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	mod_geoip2-[0-9]*
Index: www/mod_gzip/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_gzip/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- www/mod_gzip/Makefile	8 Jun 2010 22:14:55 -0000	1.19
+++ www/mod_gzip/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	An Internet Content Acceleration module for Apache
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 USE_APACHE=	1.3
Index: www/mod_index_rss/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_index_rss/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- www/mod_index_rss/Makefile	17 May 2009 07:24:31 -0000	1.14
+++ www/mod_index_rss/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to provides RSS output for directories
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_layout/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_layout/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- www/mod_layout/Makefile	25 May 2010 20:17:31 -0000	1.22
+++ www/mod_layout/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to wrap served pages with a header and/or footer
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	13
Index: www/mod_limitipconn/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_limitipconn/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_limitipconn/Makefile	25 May 2010 20:17:32 -0000	1.12
+++ www/mod_limitipconn/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	Limit the number of simultaneous connections from a single IP address
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_log_spread/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_log_spread/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_log_spread/Makefile	17 May 2009 07:24:32 -0000	1.6
+++ www/mod_log_spread/Makefile	14 Aug 2011 16:47:22 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${APXS}:${PORTSDIR}/${APACHE_PORT}
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_log_sql/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_log_sql/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- www/mod_log_sql/Makefile	19 Mar 2011 13:15:32 -0000	1.18
+++ www/mod_log_sql/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	lev@FreeBSD.org
 COMMENT=	Allows Apache to log to a MySQL database
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
Index: www/mod_macro/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_macro/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- www/mod_macro/Makefile	27 Dec 2009 01:49:44 -0000	1.8
+++ www/mod_macro/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module for use macros in config files
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 PORTSCOUT=	limit:^1.1.2
Index: www/mod_mp3/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_mp3/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- www/mod_mp3/Makefile	25 May 2010 20:17:33 -0000	1.33
+++ www/mod_mp3/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to allow MP3 streaming
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_mylo/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_mylo/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_mylo/Makefile	19 Mar 2011 13:15:33 -0000	1.12
+++ www/mod_mylo/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module to make Apache log to MySQL
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_ntlm/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_ntlm/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- www/mod_ntlm/Makefile	25 May 2010 20:17:34 -0000	1.8
+++ www/mod_ntlm/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	NTLM authentication module for the Apache webserver
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_perl/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_perl/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- www/mod_perl/Makefile	25 May 2010 20:17:34 -0000	1.45
+++ www/mod_perl/Makefile	14 Aug 2011 16:47:22 -0000
@@ -19,6 +19,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 PORTSCOUT=	limit:^1
Index: www/mod_proxy_add_forward/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_proxy_add_forward/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- www/mod_proxy_add_forward/Makefile	29 Dec 2010 20:04:34 -0000	1.13
+++ www/mod_proxy_add_forward/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module that adds a client IP header to outgoing proxy requests
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_put/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_put/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_put/Makefile	17 May 2009 07:24:33 -0000	1.11
+++ www/mod_put/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module that provides PUT and DELETE methods
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache-contrib-1.*
Index: www/mod_python/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_python/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- www/mod_python/Makefile	22 Sep 2010 21:50:02 -0000	1.33
+++ www/mod_python/Makefile	14 Aug 2011 16:47:22 -0000
@@ -17,6 +17,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache 1.3 module for integrating Python
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 .if defined(PACKAGE_BUILDING)
Index: www/mod_realip/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_realip/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- www/mod_realip/Makefile	18 May 2009 10:57:34 -0000	1.3
+++ www/mod_realip/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	glebius@FreeBSD.org
 COMMENT=	Apache module to fix IP addresses in proxied requests
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_rpaf/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_rpaf/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_rpaf/Makefile	23 Aug 2010 03:07:50 -0000	1.12
+++ www/mod_rpaf/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Make proxied requests appear with client IP
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE?=	1.3
Index: www/mod_sed/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_sed/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_sed/Makefile	7 Jun 2010 06:08:54 -0000	1.12
+++ www/mod_sed/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An apache module that embeds a copy of the sed(1) command
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 USE_APACHE=	1.3
Index: www/mod_sequester/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_sequester/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/mod_sequester/Makefile	17 May 2009 07:24:34 -0000	1.10
+++ www/mod_sequester/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module that controls access to the website using secure info
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_shapvh/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_shapvh/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- www/mod_shapvh/Makefile	19 Mar 2011 13:15:33 -0000	1.5
+++ www/mod_shapvh/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	steven@krx.nl
 COMMENT=	Apache module that provides virtual hosts from a database
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_sqlinclude/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_sqlinclude/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- www/mod_sqlinclude/Makefile	19 Mar 2011 13:15:33 -0000	1.14
+++ www/mod_sqlinclude/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	An Apache module implementing config inclusion from MySQL databases
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_ticket/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_ticket/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/mod_ticket/Makefile	17 May 2009 07:24:34 -0000	1.11
+++ www/mod_ticket/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module for a digitally signed ticket in URL
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 CONFLICTS=	apache-contrib-1.*
Index: www/mod_trigger/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_trigger/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/mod_trigger/Makefile	17 May 2009 07:24:34 -0000	1.10
+++ www/mod_trigger/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	apache@FreeBSD.org
 COMMENT=	Apache module to launch triggers if certain actions occur
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_tsunami/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_tsunami/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/mod_tsunami/Makefile	18 May 2009 10:59:18 -0000	1.12
+++ www/mod_tsunami/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	Apache module which dynamically limits a site's slot usage
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/mod_uid/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/mod_uid/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_uid/Makefile	27 Jun 2011 21:12:10 -0000	1.6
+++ www/mod_uid/Makefile	14 Aug 2011 16:47:22 -0000
@@ -13,6 +13,9 @@
 MAINTAINER=	leeym@FreeBSD.org
 COMMENT=	A module issuing the "correct" cookies for counting the site visitors
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 # Changed to apache13 exclusive, else apache13 ports
Index: www/p5-Apache-AuthenCache/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-AuthenCache/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- www/p5-Apache-AuthenCache/Makefile	20 Jun 2011 09:22:07 -0000	1.22
+++ www/p5-Apache-AuthenCache/Makefile	14 Aug 2011 16:47:22 -0000
@@ -20,6 +20,9 @@
 		${LOCALBASE}/libexec/apache/libperl.so:${PORTSDIR}/www/mod_perl
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/p5-Apache-DBI-mp1/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-DBI-mp1/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/p5-Apache-DBI-mp1/Makefile	12 Jun 2011 01:14:14 -0000	1.4
+++ www/p5-Apache-DBI-mp1/Makefile	14 Aug 2011 16:47:22 -0000
@@ -10,6 +10,9 @@
 
 COMMENT=	DBI persistent connection, authentication and authorization (mp1)
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 MASTERDIR=	${.CURDIR}/../p5-Apache-DBI
Index: www/p5-Apache-DebugInfo/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-DebugInfo/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/p5-Apache-DebugInfo/Makefile	27 Jun 2011 21:12:10 -0000	1.4
+++ www/p5-Apache-DebugInfo/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	Log various bits of per-request data
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 # Changed to apache13 exclusive, else apache13 ports
 # are broken if apache22 is set as default
 USE_APACHE=	13
Index: www/p5-Apache-PageKit/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-PageKit/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- www/p5-Apache-PageKit/Makefile	22 May 2011 22:10:51 -0000	1.18
+++ www/p5-Apache-PageKit/Makefile	14 Aug 2011 16:47:22 -0000
@@ -34,6 +34,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Apache/Test.pm:${PORTSDIR}/www/p5-Apache-Test
 BUILD_DEPENDS=	${RUN_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 EXAMPLESDIR?=	${PREFIX}/share/examples/${PORTNAME}
 PERL_CONFIGURE=	5.8.0+
 USE_APACHE_RUN=	13
Index: www/p5-Apache-Peek/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Peek/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- www/p5-Apache-Peek/Makefile	27 Jun 2011 21:12:10 -0000	1.16
+++ www/p5-Apache-Peek/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	A data debugging tool for the XS programmer (under mod_perl)
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 # Changed to apache13 exclusive, else apache13 ports
 # are broken if apache22 is set as default
 USE_APACHE=	13
Index: www/p5-Apache-Reload/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Reload/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- www/p5-Apache-Reload/Makefile	26 Jun 2011 19:26:14 -0000	1.16
+++ www/p5-Apache-Reload/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,10 @@
 COMMENT=	Reload changed modules
 
 CONFLICTS=	ap2[02]-mod_perl2-2.0.[5-9]*
+
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=	yes
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit/Makefile,v
retrieving revision 1.27
diff -u -r1.27 Makefile
--- www/p5-AxKit/Makefile	26 Jun 2011 19:30:02 -0000	1.27
+++ www/p5-AxKit/Makefile	14 Aug 2011 16:47:22 -0000
@@ -30,6 +30,9 @@
 		${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww
 BUILD_DEPENDS=	${RUN_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 MAN3=		\
Index: www/p5-B-LexInfo/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-B-LexInfo/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/p5-B-LexInfo/Makefile	27 Jun 2011 21:12:10 -0000	1.4
+++ www/p5-B-LexInfo/Makefile	14 Aug 2011 16:47:22 -0000
@@ -14,6 +14,9 @@
 MAINTAINER=	tcornpropst@cox.net
 COMMENT=	Show information about subroutine lexical variables
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 # Changed to apache13 exclusive, else apache13 ports
 # are broken if apache22 is set as default
 USE_APACHE=	13
Index: www/p5-Bundle-Slash/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Bundle-Slash/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- www/p5-Bundle-Slash/Makefile	26 Jun 2011 20:31:46 -0000	1.26
+++ www/p5-Bundle-Slash/Makefile	14 Aug 2011 16:47:22 -0000
@@ -44,6 +44,9 @@
 
 BUILD_DEPENDS:=	${RUN_DEPENDS}
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 USE_APACHE=	13
 USE_MYSQL=	yes
Index: www/p5-libapreq/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-libapreq/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- www/p5-libapreq/Makefile	22 May 2011 22:23:16 -0000	1.28
+++ www/p5-libapreq/Makefile	14 Aug 2011 16:47:22 -0000
@@ -23,6 +23,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Apache/Test.pm:${PORTSDIR}/www/p5-Apache-Test
 .endif
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 USE_APACHE=	13
 
Index: www/p5-libapreq-static/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-libapreq-static/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- www/p5-libapreq-static/Makefile	10 Jun 2004 09:03:15 -0000	1.1
+++ www/p5-libapreq-static/Makefile	14 Aug 2011 16:47:22 -0000
@@ -10,4 +10,7 @@
 
 MASTERDIR=	${.CURDIR}/../p5-libapreq
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 .include "${MASTERDIR}/Makefile"
Index: www/slash/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/slash/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- www/slash/Makefile	20 Jan 2010 01:28:53 -0000	1.20
+++ www/slash/Makefile	14 Aug 2011 16:47:22 -0000
@@ -20,6 +20,9 @@
 RUN_DEPENDS=	${BUILD_DEPENDS} \
 		${LOCALBASE}/libexec/apache/libperl.so:${PORTSDIR}/www/mod_perl
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_PERL5=	yes
 USE_APACHE=	13
 
Index: www/smb2www/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/smb2www/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- www/smb2www/Makefile	25 Feb 2011 01:32:11 -0000	1.19
+++ www/smb2www/Makefile	14 Aug 2011 16:47:22 -0000
@@ -21,6 +21,9 @@
 
 SAMBA_PORT?=	net/samba34
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 USE_APACHE=	1.3
Index: www/web-traceroute/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/web-traceroute/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- www/web-traceroute/Makefile	22 Apr 2009 00:15:55 -0000	1.3
+++ www/web-traceroute/Makefile	14 Aug 2011 16:47:22 -0000
@@ -16,6 +16,9 @@
 MAINTAINER=	dean@odyssey.apana.org.au
 COMMENT=	WWW Traceroute CGI script written in C
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 PLIST_FILES=	www/cgi-bin/trace
 USE_APACHE=	1.3
 
Index: www/wget4web/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/wget4web/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/wget4web/Makefile	15 Jun 2009 22:54:22 -0000	1.6
+++ www/wget4web/Makefile	14 Aug 2011 16:47:22 -0000
@@ -15,6 +15,9 @@
 
 RUN_DEPENDS=	${LOCALBASE}/bin/wget:${PORTSDIR}/ftp/wget
 
+DEPRECATED=	apache13 is deprecated, migrate to 2.2.x+ now
+EXPIRATION_DATE=	2011-10-01
+
 USE_APACHE=	1.3
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
--- 02_apache13_deprecate.diff ends here ---

--- 03_apache13_deprecate_depend.diff begins here ---
Index: games/phpua-bf/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-bf/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- games/phpua-bf/Makefile	22 Aug 2009 00:22:24 -0000	1.12
+++ games/phpua-bf/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: games/phpua-cod/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-cod/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/phpua-cod/Makefile	22 Aug 2009 00:22:24 -0000	1.10
+++ games/phpua-cod/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: games/phpua-hl/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-hl/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/phpua-hl/Makefile	22 Aug 2009 00:22:24 -0000	1.10
+++ games/phpua-hl/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: games/phpua-q3/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-q3/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/phpua-q3/Makefile	22 Aug 2009 00:22:24 -0000	1.10
+++ games/phpua-q3/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: games/phpua-ut/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-ut/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/phpua-ut/Makefile	22 Aug 2009 00:22:25 -0000	1.10
+++ games/phpua-ut/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: games/phpua-ut2003/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/phpua-ut2003/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- games/phpua-ut2003/Makefile	22 Aug 2009 00:22:25 -0000	1.11
+++ games/phpua-ut2003/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on phpua-engine
+EXPIRATION_DATE=	2011-10-01
+
 # Some variables you can change
 PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
Index: www/p5-Apache-AntiSpam/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-AntiSpam/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- www/p5-Apache-AntiSpam/Makefile	29 Jan 2009 17:41:16 -0000	1.7
+++ www/p5-Apache-AntiSpam/Makefile	14 Aug 2011 16:49:25 -0000
@@ -19,6 +19,9 @@
 		${SITE_PERL}/Email/Find.pm:${PORTSDIR}/mail/p5-Email-Find
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Apache::AntiSpam.3 \
Index: www/p5-Apache-AuthenURL/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-AuthenURL/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/p5-Apache-AuthenURL/Makefile	17 Apr 2008 14:29:30 -0000	1.10
+++ www/p5-Apache-AuthenURL/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 		${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww
 BUILD_DEPENDS=	${RUN_DEPENDS}
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Apache::AuthenURL.3 Apache::AuthenURL::Cache.3
Index: www/p5-Apache-AutoIndex/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-AutoIndex/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/p5-Apache-AutoIndex/Makefile	13 Dec 2009 18:07:44 -0000	1.12
+++ www/p5-Apache-AutoIndex/Makefile	14 Aug 2011 16:49:25 -0000
@@ -19,6 +19,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Apache/Language.pm:${PORTSDIR}/www/p5-Apache-Language \
 		${SITE_PERL}/${PERL_ARCH}/HTML/HeadParser.pm:${PORTSDIR}/www/p5-HTML-Parser
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 PERL_CONFIGURE=	yes
Index: www/p5-Apache-AxKit-Plugin-AddXSLParams-Request/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-AxKit-Plugin-AddXSLParams-Request/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- www/p5-Apache-AxKit-Plugin-AddXSLParams-Request/Makefile	13 Dec 2009 18:07:45 -0000	1.7
+++ www/p5-Apache-AxKit-Plugin-AddXSLParams-Request/Makefile	14 Aug 2011 16:49:25 -0000
@@ -20,6 +20,9 @@
 RUN_DEPENDS+=		${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 BUILD_DEPENDS=		${RUN_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=		yes
 
 MAN3=				Apache::AxKit::Plugin::AddXSLParams::Request.3
Index: www/p5-Apache-Clean/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Clean/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- www/p5-Apache-Clean/Makefile	18 Jun 2009 03:21:49 -0000	1.7
+++ www/p5-Apache-Clean/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache.pm:${PORTSDIR}/www/mod_perl \
 		${SITE_PERL}/HTML/Clean.pm:${PORTSDIR}/www/p5-HTML-Clean
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PORTSCOUT=	limit:^0
 
 PERL_CONFIGURE=	yes
Index: www/p5-Apache-Compress/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Compress/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- www/p5-Apache-Compress/Makefile	9 Aug 2011 15:47:34 -0000	1.9
+++ www/p5-Apache-Compress/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache.pm:${PORTSDIR}/www/mod_perl
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache.pm:${PORTSDIR}/www/mod_perl
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Apache::Compress.3
Index: www/p5-Apache-CompressClientFixup/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-CompressClientFixup/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/p5-Apache-CompressClientFixup/Makefile	13 Dec 2009 18:07:45 -0000	1.6
+++ www/p5-Apache-CompressClientFixup/Makefile	14 Aug 2011 16:49:25 -0000
@@ -15,7 +15,10 @@
 COMMENT=	Perl extension for Apache-1.3.X to avoid gzip compression for known buggy browsers
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/Constants.pm:${PORTSDIR}/www/mod_perl
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
 
 MAKE_JOBS_SAFE=  yes
 
Index: www/p5-Apache-DumpHeaders/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-DumpHeaders/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/p5-Apache-DumpHeaders/Makefile	17 Apr 2008 14:29:32 -0000	1.6
+++ www/p5-Apache-DumpHeaders/Makefile	14 Aug 2011 16:49:25 -0000
@@ -16,6 +16,9 @@
 
 RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/mod_perl.pm:${PORTSDIR}/www/mod_perl
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Apache::DumpHeaders.3 Apache::ProxyPassThru.3
Index: www/p5-Apache-Filter/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Filter/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- www/p5-Apache-Filter/Makefile	17 Apr 2008 14:29:33 -0000	1.15
+++ www/p5-Apache-Filter/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/mod_perl.pm:${PORTSDIR}/www/mod_perl
 BUILD_DEPENDS=	${RUN_DEPENDS}
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 INSTALL_TARGET=	pure_install
 
Index: www/p5-Apache-Icon/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Icon/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/p5-Apache-Icon/Makefile	13 Dec 2009 18:07:45 -0000	1.12
+++ www/p5-Apache-Icon/Makefile	14 Aug 2011 16:49:25 -0000
@@ -16,6 +16,9 @@
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/src.pm:${PORTSDIR}/www/mod_perl
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Apache::Icon.3
Index: www/p5-Apache-Language/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Language/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- www/p5-Apache-Language/Makefile	13 Dec 2009 18:07:45 -0000	1.13
+++ www/p5-Apache-Language/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/src.pm:${PORTSDIR}/www/mod_perl \
 		${SITE_PERL}/I18N/LangTags.pm:${PORTSDIR}/misc/p5-I18N-LangTags
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 MAKE_JOBS_SAFE=  yes
 
 PERL_CONFIGURE=	yes
Index: www/p5-Apache-NNTPGateway/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-NNTPGateway/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- www/p5-Apache-NNTPGateway/Makefile	17 Apr 2008 14:29:34 -0000	1.5
+++ www/p5-Apache-NNTPGateway/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,7 +17,10 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/Request.pm:${PORTSDIR}/www/p5-libapreq \
 		${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww \
 		${SITE_PERL}/Mail/Address.pm:${PORTSDIR}/mail/p5-Mail-Tools
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
 
 WRKSRC=		${WRKDIR}/NNTPGateway-${PORTVERSION}
 
Index: www/p5-Apache-Radius/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Radius/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- www/p5-Apache-Radius/Makefile	13 Dec 2009 18:07:46 -0000	1.19
+++ www/p5-Apache-Radius/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,7 +17,10 @@
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/mod_perl.pm:${PORTSDIR}/www/mod_perl \
 		${SITE_PERL}/Authen/Radius.pm:${PORTSDIR}/security/p5-Authen-Radius
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
 
 PERL_CONFIGURE=	yes
 
Index: www/p5-Apache-SSI/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-SSI/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- www/p5-Apache-SSI/Makefile	17 Apr 2008 14:29:35 -0000	1.10
+++ www/p5-Apache-SSI/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Apache/Constants.pm:${PORTSDIR}/www/mod_perl
 BUILD_DEPENDS=	${RUN_DEPENDS}
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_MODBUILD=	yes
 
 MAN3=		Apache::SSI.3 \
Index: www/p5-Apache-Scoreboard/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Scoreboard/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- www/p5-Apache-Scoreboard/Makefile	31 Aug 2010 23:07:12 -0000	1.7
+++ www/p5-Apache-Scoreboard/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,7 +17,10 @@
 COMMENT=	Perl interface to the Apache scoreboard structure
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/mod_perl.pm:${PORTSDIR}/www/mod_perl
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
 
 PORTSCOUT=	limit:^0
 
Index: www/p5-Apache-SubProcess/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-SubProcess/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- www/p5-Apache-SubProcess/Makefile	17 Apr 2008 14:29:36 -0000	1.8
+++ www/p5-Apache-SubProcess/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,6 +17,9 @@
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/src.pm:${PORTSDIR}/www/mod_perl
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 .include <bsd.port.mk>
Index: www/p5-Apache-Template/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Apache-Template/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/p5-Apache-Template/Makefile	2 Dec 2010 00:04:46 -0000	1.4
+++ www/p5-Apache-Template/Makefile	14 Aug 2011 16:49:25 -0000
@@ -17,7 +17,10 @@
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Apache/Request.pm:${PORTSDIR}/www/p5-libapreq \
 		${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
 
 PERL_CONFIGURE=	yes
 
Index: www/p5-AxKit-XSP-Cookie/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-Cookie/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/p5-AxKit-XSP-Cookie/Makefile	21 Jun 2011 06:58:46 -0000	1.11
+++ www/p5-AxKit-XSP-Cookie/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::Cookie.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-ESQL/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-ESQL/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- www/p5-AxKit-XSP-ESQL/Makefile	21 Jun 2011 06:58:46 -0000	1.13
+++ www/p5-AxKit-XSP-ESQL/Makefile	14 Aug 2011 16:49:25 -0000
@@ -20,6 +20,9 @@
 		${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::ESQL.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-Exception/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-Exception/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/p5-AxKit-XSP-Exception/Makefile	21 Jun 2011 06:58:47 -0000	1.12
+++ www/p5-AxKit-XSP-Exception/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::Exception.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-IfParam/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-IfParam/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/p5-AxKit-XSP-IfParam/Makefile	21 Jun 2011 06:58:47 -0000	1.11
+++ www/p5-AxKit-XSP-IfParam/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::IfParam.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-Param/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-Param/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/p5-AxKit-XSP-Param/Makefile	21 Jun 2011 06:58:47 -0000	1.11
+++ www/p5-AxKit-XSP-Param/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::Param.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-PerForm/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-PerForm/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- www/p5-AxKit-XSP-PerForm/Makefile	21 Jun 2011 06:58:47 -0000	1.13
+++ www/p5-AxKit-XSP-PerForm/Makefile	14 Aug 2011 16:49:25 -0000
@@ -19,6 +19,9 @@
 		${SITE_PERL}/AxKit/XSP/WebUtils.pm:${PORTSDIR}/www/p5-AxKit-XSP-WebUtils
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::PerForm.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-Sendmail/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-Sendmail/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- www/p5-AxKit-XSP-Sendmail/Makefile	13 Dec 2009 18:07:48 -0000	1.11
+++ www/p5-AxKit-XSP-Sendmail/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 		${SITE_PERL}/Mail/Sendmail.pm:${PORTSDIR}/mail/p5-Mail-Sendmail \
 		${SITE_PERL}/Email/Valid.pm:${PORTSDIR}/mail/p5-Email-Valid
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::Sendmail.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-Util/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-Util/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/p5-AxKit-XSP-Util/Makefile	21 Jun 2011 06:58:47 -0000	1.12
+++ www/p5-AxKit-XSP-Util/Makefile	14 Aug 2011 16:49:25 -0000
@@ -20,6 +20,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Time/Piece.pm:${PORTSDIR}/devel/p5-Time-Piece
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::Util.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-AxKit-XSP-WebUtils/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-AxKit-XSP-WebUtils/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- www/p5-AxKit-XSP-WebUtils/Makefile	21 Jun 2011 06:58:47 -0000	1.12
+++ www/p5-AxKit-XSP-WebUtils/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/AxKit.pm:${PORTSDIR}/www/p5-AxKit
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+DEPRECATED=	depends on p5-AxKit
+EXPIRATION_DATE=	2011-10-01
+
 MAN3=		AxKit::XSP::WebUtils.3
 
 PERL_CONFIGURE=	yes
Index: www/p5-Text-Markdown-ApacheHandler/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/p5-Text-Markdown-ApacheHandler/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- www/p5-Text-Markdown-ApacheHandler/Makefile	17 Apr 2008 14:30:17 -0000	1.3
+++ www/p5-Text-Markdown-ApacheHandler/Makefile	14 Aug 2011 16:49:25 -0000
@@ -18,6 +18,9 @@
 		${SITE_PERL}/${PERL_ARCH}/Apache/File.pm:${PORTSDIR}/www/mod_perl \
 		${SITE_PERL}/Text/Markdown.pm:${PORTSDIR}/textproc/p5-Text-Markdown
 
+DEPRECATED=	depends on mod_perl
+EXPIRATION_DATE=	2011-10-01
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Text::Markdown::ApacheHandler.3
--- 03_apache13_deprecate_depend.diff ends here ---
Comment 29 Olli Hauer freebsd_committer 2011-08-16 23:20:20 UTC
State Changed
From-To: feedback->open

change state to open. 

Please do not forget to set Philip and me to Cc: 

Thanks, 
olli
Comment 30 Baptiste Daroussin freebsd_committer 2011-08-17 07:51:34 UTC
Responsible Changed
From-To: portmgr->bapt

taken for exp-run
Comment 31 Baptiste Daroussin freebsd_committer 2011-08-18 16:45:15 UTC
Responsible Changed
From-To: bapt->ohauer

Exp-run OK on pointyhat
Comment 32 dfilter service freebsd_committer 2011-08-20 18:21:47 UTC
ohauer      2011-08-20 17:21:38 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.apache.mk 
    .                    UPDATING 
  Log:
  - change default apache version to apache22
  - make entry in UPDATING
  
  with hat apache@
  
  PR:             ports/147009
  
  Revision  Changes    Path
  1.30      +3 -3      ports/Mk/bsd.apache.mk
  1.1123    +11 -1     ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 33 Olli Hauer freebsd_committer 2011-08-20 18:32:46 UTC
State Changed
From-To: open->closed

Committed, 
Expiration diff for apache13 ports will be committed if i have 
feedback from Philip about the expiration date